| Version: 3.1.5

Public Member Functions | List of all members
wxWebCredentials Class Reference
Class List by Category » Networking

`#include </home/Hamis/wxwidgets-3.1/wxWidgets3.1-3.1.5-1.i686/src/wxWidgets-3.1.5/interface/wx/webrequest.h>`

## Detailed Description

Simple class containing the username and password to use for authenticating.

Since
  3.1.5

##

Library: wxNet

<>< =''>:</>&;&;< =''>\ </></>

See also
  wxWebAuthChallenge

## Public Member Functions
| wxWebCredentials (const wxString &user=wxString(), const wxSecretValue &password=wxSecretValue())
| Create the new credentials object. More...
const wxString & | GetUser () const
| Return the user. More...
const wxSecretValue & | GetPassword () const
| Return the password. More...

## Constructor & Destructor Documentation

## ◆ wxWebCredentials()

wxWebCredentials::wxWebCredentials | ( | const wxString & | user = `wxString()`,
|  | const wxSecretValue & | password = `wxSecretValue()`
| ) |  |

Create the new credentials object.

Note that the password is a wxSecretValue object, to construct it from a string you need to explicitly use wxSecretValue ctor.

## Member Function Documentation

## ◆ GetPassword()

const wxSecretValue & wxWebCredentials::GetPassword | ( |  | ) | const

Return the password.

See also
  wxSecretString

## ◆ GetUser()

const wxString & wxWebCredentials::GetUser | ( |  | ) | const

Return the user.